GNU Radio C++ API Reference: NumberLayoutMenu Class Reference

| GNU Radio C++ API Reference 3.10.12.0 The Free & Open Software Radio Ecosystem |

Loading...
Searching...
No Matches
NumberLayoutMenu Class Reference

`#include <gnuradio/qtgui/form_menus.h>`

## Public Slots
void | getHoriz ()
void | getVert ()
void | getNone ()

## Signals
void | whichTrigger (gr::qtgui::graph_t layout)

## Public Member Functions
| NumberLayoutMenu (QWidget *parent)
| ~NumberLayoutMenu () override
int | getNumActions () const
QAction * | getAction (unsigned int which)
QAction * | getAction (gr::qtgui::graph_t layout)

## Constructor & Destructor Documentation

## ◆ NumberLayoutMenu()

NumberLayoutMenu::NumberLayoutMenu | ( | QWidget * | parent | ) |
| inline

References getHoriz(), getNone(), and getVert().

## ◆ ~NumberLayoutMenu()

NumberLayoutMenu::~NumberLayoutMenu | ( |  | ) |
| inlineoverride

## Member Function Documentation

## ◆ getAction() [1/2]

QAction * NumberLayoutMenu::getAction | ( | gr::qtgui::graph_t | layout | ) |
| inline

References gr::qtgui::NUM_GRAPH_HORIZ, gr::qtgui::NUM_GRAPH_NONE, and gr::qtgui::NUM_GRAPH_VERT.

## ◆ getAction() [2/2]

QAction * NumberLayoutMenu::getAction | ( | unsigned int | which | ) |
| inline

## ◆ getHoriz

void NumberLayoutMenu::getHoriz | ( |  | ) |
| inlineslot

References gr::qtgui::NUM_GRAPH_HORIZ, and whichTrigger().

Referenced by NumberLayoutMenu().

## ◆ getNone

void NumberLayoutMenu::getNone | ( |  | ) |
| inlineslot

References gr::qtgui::NUM_GRAPH_NONE, and whichTrigger().

Referenced by NumberLayoutMenu().

## ◆ getNumActions()

int NumberLayoutMenu::getNumActions | ( |  | ) | const
| inline

## ◆ getVert

void NumberLayoutMenu::getVert | ( |  | ) |
| inlineslot

References gr::qtgui::NUM_GRAPH_VERT, and whichTrigger().

Referenced by NumberLayoutMenu().

## ◆ whichTrigger

void NumberLayoutMenu::whichTrigger | ( | gr::qtgui::graph_t | layout | ) |
| signal

Referenced by getHoriz(), getNone(), and getVert().

The documentation for this class was generated from the following file:

- form_menus.h